#include <bits/stdc++.h>

using namespace std;

long long n,k,br,l;
long long a[1000000];
long long b[1000000];
int main()
{
    l=0;
    br=0;
   cin >> n >> k;
   for(int i=0;i<n;i++)
   {
       cin >> br;
       a[n+1+br]++;

   }
   for(int i=1;i<=2*n+1;i++)
   {
       if(a[i]>=k)
       {
           l++;
           b[l]=i-(n+1);
       }

   }
   cout << l << '\n';
   for(int i=1;i<=l;i++)
   {
       cout << b[i] <<' ';
   }

    return 0;
}